@font-face {
  font-family: "Proxima-Nova";
  font-weight: normal;

  src: url("../fonts/Proxima-Nova-Regular.otf") format("opentype");
}

@font-face {
  font-family: "Proxima-Nova";
  font-weight: normal;

  src: url("../fonts/Proxima-Nova-Regular.otf") format("opentype");
}

*,
*::after,
*::before {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0px;
  padding: 0px;

  -webkit-text-size-adjust: 100%;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0) !important;
          tap-highlight-color: rgba(0, 0, 0, 0) !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

*:focus {
  outline: 0px;
}

html,
body {
  min-width: 320px;
  min-height: 100%;
  min-height: 100%;

  font-family: "Proxima-Nova", "Open Sans", Arial, Helvetica, sans-serif;
  font-size: 62.5%;
  font-weight: normal;

  color: #656b6c;
}

body {
  overflow-x: hidden;

  height: 1800px;
  min-height: 100%;

  background-color: #f6f7f8;
}

::-moz-selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

::selection {
  color: black;
  background-color: rgba(192, 214, 209, 0.85);
}

a {
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0px 10px;

  font-weight: normal;

  text-align: center;
}

strong {
  font-weight: 600;
}

.wrapper {
  max-width: 1150px;
  margin: 0px auto;
}

#main-header {
  width: 100%;
  height: 85px;

  background-color: #5a5768;
}

#main-header #logo {
  float: left;

  width: auto;
  height: 75px;
  margin-top: 16px;
  margin-left: 25px;
}


#main-header #logo-text {
  float: left;

  margin-top: 10px;

  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 4.5rem;
  font-weight: bold;

  color: #edc218;
}

#main-header #logo-text .color-red {
  color: #f1547c;
}

#search-window {
  width: 100%;
  height: 190px;
  margin-top: 40px;
  padding-top: 42px;

  -webkit-border-radius: 10px;

          border-radius: 10px;
  background-color: white;
  -webkit-box-shadow: 0px 8px 30px rgba(0,0,0,0.07);
          box-shadow: 0px 8px 30px rgba(0,0,0,0.07);
}

#search-window .search-row-wrapper {
  width: 100%;
  height: 80px;
}

.search-row-wrapper .dest-wrapper,
.search-row-wrapper .departure-wrapper,
.search-row-wrapper .passenger-wrapper {
  float: left;

  height: 100%;

  border-right: 1px solid #c3c2d3;
}

.search-row-wrapper .passenger-wrapper {
  border: none;
}

.search-row-wrapper .dest-wrapper {
  width: 40%;
  padding-right: 20px;
}

.search-row-wrapper .passenger-wrapper {
  width: 25%;
}

.dest-wrapper #from-dest,
.dest-wrapper #to-dest {
  float: right;

  position: relative;
  top: 50%;

  width: 155px;
  height: 60px;

  -webkit-transform: translateY(-50%);

      -ms-transform: translateY(-50%);

          transform: translateY(-50%);
}

.dest-wrapper #from-dest input,
.dest-wrapper #to-dest input {
  width: 100%;
  height: 100%;
  padding: 22px 0px 5px 22px;

  font-size: 2rem;
  font-weight: bold;

  color: #555;
  border: 1px solid #d9d9e1;
  -webkit-border-radius: 10px;
          border-radius: 10px;
}

.dest-wrapper #from-dest input:hover,
.dest-wrapper #to-dest input:hover {
  border: 1px solid #565656;
}

.dest-wrapper #from-dest label,
.dest-wrapper #to-dest label,
.departure-wrapper .input-wrapper label,
.passenger-wrapper .input-wrapper label {
  position: absolute;
  z-index: 999;
  top: 5px;
  left: 22px;

  font-family: "Open Sans", "Proxima-Nova", sans-serif;
  font-size: 1.6rem;
  font-weight: bold;

  cursor: pointer;

  color: #ea5a7b;
}

.dest-wrapper #switch-dest {
  float: right;

  position: relative;
  top: 50%;

  width: 30px;
  height: 30px;
  margin: 0px 18px;

  cursor: pointer;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);

  border: 1px solid #d9d9e1;
  -webkit-border-radius: 50%;
          border-radius: 50%;
  background: white url("../images/icons/icon-switch.svg") center center no-repeat;
  background-size: 20px 20px;
}

.dest-wrapper #switch-dest:hover {
  background-color: #fffcf8;
}

.dest-wrapper #switch-dest.clicked {
  -webkit-transform: translateY(-50%) rotate(180deg);
      -ms-transform: translateY(-50%) rotate(180deg);
          transform: translateY(-50%) rotate(180deg);
}

.search-row-wrapper .departure-wrapper {
  padding: 0px 20px;
}

.departure-wrapper .icon-calendar,
.passenger-wrapper .icon-passenger {
  float: left;

  width: 40px;
  height: 100%;
  margin-right: 20px;
}

.departure-wrapper .icon-calendar {
  background: white url("../images/icons/icon-calendar.svg") center left no-repeat;
  background-size: 40px 40px;
}

.departure-wrapper .input-wrapper,
.passenger-wrapper .input-wrapper {
  float: left;

  position: relative;
  top: 50%;

  width: 110px;
  height: 60px;

  -webkit-transform: translateY(-50%);

      -ms-transform: translateY(-50%);

          transform: translateY(-50%);
}

.input-wrapper.first.departure {
  margin-right: 20px;
}

.departure-wrapper .input-wrapper input,
.passenger-wrapper .input-wrapper input {
  width: 100%;
  height: 100%;
  padding-top: 20px;

  font-family: "Proxima-Nova", "Open Sans", Arial, Helvetica, sans-serif;
  font-size: 2rem;

  color: #555;
  border: none;
}

.departure-wrapper .input-wrapper label,
.passenger-wrapper .input-wrapper label {
  left: 0px;
}

.input-wrapper {
  position: relative;
}

.search-row-wrapper .passenger-wrapper {
  padding-left: 20px;
}

.passenger-wrapper .icon-passenger {
  background: white url("../images/icons/icon-passenger.svg") center left no-repeat;
  background-size: 40px 40px;
}

.options-row-wrapper {
  padding: 15px 195px;
}

#flight-type {
  float: left;

  font-size: 2rem;
}

#flight-type label {
  margin: 0px 25px;

  cursor: pointer;
}

#flight-type label:hover {
  color: #e54368;
}

#flight-type #inp-single {
  margin-left: 50px;
}

input[type=radio],
input[type=checkbox] {
  display: none;
}

input[type=radio] + label:before {
  display: inline-block;

  width: 25px;
  height: 25px;
  margin-right: 8px;

  content: "";
  cursor: pointer;
  vertical-align: middle;

  -webkit-border-radius: 50%;

          border-radius: 50%;
  background-color: #d9d9e1;
}

input[type=radio]:checked + label:before {
  font-size: 6.5rem;
  line-height: 17px;

  content: "\2022";
  cursor: pointer;
  text-align: center;

  color: #494657;
  background-color: #d9d9e1;
}

#sp-opt {
  float: left;

  margin: 0px 25px;

  font-size: 2rem;
  font-weight: bold;
  line-height: 3rem;

  -webkit-transition: all 0.25s;

  transition: all 0.25s;

  color: #484656;
  border-bottom: 1px solid #484656;
}

#sp-opt:hover {
  color: #ea5a7b;
  border-bottom: 1px solid transparent;
}

.cleaner {
  clear: both;
}

#search-results {
  position: relative;

  width: 100%;
  height: 2000px;
  margin-top: 85px;
  padding-top: 35px;

  -webkit-border-radius: 10px;

          border-radius: 10px;
  background-color: white;
  -webkit-box-shadow: 0px 8px 30px rgba(0,0,0,0.07);
          box-shadow: 0px 8px 30px rgba(0,0,0,0.07);
}

.search-results-header {
  position: absolute;
  top: -35px;
  left: 20px;
}

.search-results-header ul {
  font-size: 1.6rem;
}

.search-results-header ul li {
  display: inline;

  margin: 0px 15px;

  font-weight: bold;

  cursor: pointer;
  -webkit-transition: all 0.25s;
  transition: all 0.25s;
}

.search-results-header ul li:hover {
  color: black;
}

.search-results-header ul li.selected {
  color: #ea5a7b;
}

.result-row {
  width: 100%;
  height: 150px;
  padding: 40px 0px;

  border-top: 2px dashed #d0cfdd;
  background-color: #f7fafa;
}

.result-row:hover {
  background-color: #fffcf8 !important;
}

.result-row:nth-of-type(odd) {
  background-color: white;
}


#search-results > div:first-of-type  {
  border: none;
}

.result-row .price,
.result-row .airlines,
.result-row .time,
.result-row .book {
  float: left;

  width: 100%;
  height: 100%;
  padding: 0px 38px;

  border-right: 1px solid #dbe0e4;
}

.result-row .price {
  display: table;

  width: 17%;
}

.result-row .price strong {
  display: table-cell;

  font-size: 2.4rem;

  vertical-align: middle;

  color: #ea5a7b;
}

.result-row .airlines {
  width: 22%;
}

.result-row .airlines .first-airline,
.result-row .airlines .air-time,
.result-row .airlines .second-airline {
  width: 100%;
}

.result-row .airlines .first-airline,
.result-row .airlines .second-airline {
  display: table;

  height: 40%;

  font-size: 1.6rem;
}

.result-row .airlines .first-airline span,
.result-row .airlines .second-airline span {
  display: table-cell;

  width: 150px;
  padding-left: 10px;

  vertical-align: middle;
}

.result-row .airlines .air-time {
  position: relative;

  height: 20%;

  font-size: 1.2rem;

  text-align: right;
}

.result-row strong {
  color: black;
}

.result-row .airlines .air-time::before,
.result-row .airlines .air-time::after {
  position: absolute;
  right: 45px;

  width: 30px;
  height: 1px;

  content: "";

  background-color: #dbe0e4;
}

.result-row .airlines .air-time::before {
  top: -4px;
}

.result-row .airlines .air-time::after {
  bottom: -4px;
}

.result-row .time {
  width: 35%;
}

.result-row .time .top-row,
.result-row .time .bottom-row {
  display: table;

  position: relative;

  width: 100%;
  height: 50%;

  text-align: center;
}

.result-row .time .bottom-row {
  margin-top: 15px;
}

.result-row .time .top-row span,
.result-row .time .bottom-row span {
  display: table-cell;

  font-size: 1.6rem;

  vertical-align: middle;
}

.result-row .time .top-row span.depart,
.result-row .time .bottom-row span.depart {
  float: left;

  position: relative;

  width: 55px;
  margin-top: 9px;
  margin-right: 8px;

  text-align: left;
}

.result-row .time .top-row span.landing,
.result-row .time .bottom-row span.landing {
  float: right;

  position: relative;

  width: 55px;
  margin-top: 9px;
  margin-left: 14px;

  text-align: left;
}

.result-row .time .top-row .time-num,
.result-row .time .bottom-row .time-num {
  position: relative;

  width: 100px;

  font-size: 1.2rem;
  font-weight: bold;

  color: black;
}

.result-row .time .top-row .time-num::before,
.result-row .time .bottom-row .time-num::before {
  position: absolute;
  top: 18px;
  left: -50px;

  width: 55px;
  height: 1px;

  content: "";

  background-color: #dbe0e4;
}

.result-row .time .top-row .time-num::after,
.result-row .time .bottom-row .time-num::after {
  position: absolute;
  top: 18px;
  right: -50px;

  width: 55px;
  height: 1px;

  content: "";

  background-color: #dbe0e4;
}

.result-row .time .top-row span.date,
.result-row .time .bottom-row span.date {
  position: absolute;
  top: -18px;

  font-size: 1.2rem;

  white-space: nowrap;
}

.result-row .book {
  width: 26%;

  text-align: center;

  border-right: none;
}

.result-row .book-btn {
  display: inline-block;

  width: 100%;
  height: 60px;
  margin: 4px auto;

  font-size: 1.6rem;
  line-height: 55px;

  -webkit-transition: all 0.15s;

  transition: all 0.15s;
  text-align: center;

  color: #484656;
  border: 3px solid #ea5a7b;
  -webkit-border-radius: 5px;
          border-radius: 5px;
}

.result-row .book-btn:hover {
  color: white;
  background-color: #ea5a7b;
}

.result-row .book-btn:hover strong {
  color: white;
}

/*** RESPONSIVE DESIGN ***/

@media (max-width: 1700px) {
  .options-row-wrapper {
    padding: 15px 150px;
  }
}

@media (max-width: 1080px) {
  #search-window {
    min-width: 941px;
    padding-left: 10px;
  }

  .options-row-wrapper {
    padding: 15px 80px;
  }

  .search-row-wrapper .dest-wrapper {
    width: 400px;
  }

  .search-row-wrapper .passenger-wrapper {
    width: 190px;
  }

  .result-row .time .top-row .time-num::after,
  .result-row .time .bottom-row .time-num::after,
  .result-row .time .top-row .time-num::before,
  .result-row .time .bottom-row .time-num::before {
    display: none;
  }

  .result-row .time {
    width: 32%;
  }

  .result-row .book {
    width: 29%;
    padding: 0px 25px;
  }
}

@media (max-width: 940px) {
  #search-window {
    min-width: initial;
    height: initial;
  }

  .search-row-wrapper .dest-wrapper,
  .search-row-wrapper .departure-wrapper,
  .search-row-wrapper .passenger-wrapper {
    float: none;
    clear: both;

    width: 400px;
    height: 40px;
    margin: 0px auto;

    border: none;
  }

  #search-window .search-row-wrapper {
    height: initial;
  }

  .search-row-wrapper .dest-wrapper {
    padding-right: 0px;
  }

  .departure-wrapper .icon-calendar,
  .passenger-wrapper .icon-passenger {
    height: 40px;
  }

  .options-row-wrapper {
    padding: 0px;
  }

  .input-wrapper.first.departure,
  .input-wrapper.arrival {
    float: left;

    margin: 0px;
  }

  .search-row-wrapper .departure-wrapper {
    margin-top: 40px;
  }

  .input-wrapper.arrival {
    margin-left: 35px;
  }

  #flight-type {
    padding-top: 15px;

    border-top: 1px solid #c3c2d3;
  }

  #flight-type {
    float: none;
    clear: both;

    width: 400px;
    margin: 0px auto;
  }

  #flight-type > label {
    display: block;
  }

  .result-row .time {
    border-right: none;
  }

  #sp-opt {
    display: block;
    float: none;
    clear: both;

    width: 400px;
    margin: 0px auto;
    padding: 15px 60px;

    text-align: left;

    border: 0px;
  }

  #sp-opt:hover {
    border: none;
  }

  .result-row .price {
    width: 20%;
  }

  .result-row .airlines {
    width: 30%;
  }

  .result-row .time {
    width: 50%;
  }

  .result-row .price strong {
    font-size: 1.6rem;
  }

  .result-row .airlines .air-time {
    display: none;
  }

  .result-row .book {
    display: none;
  }
}


@media (max-width: 650px) {
  .result-row {
    height: initial;
  }

  .search-results-header {
    display: none;
  }

  .result-row .time {
    float: none;
    clear: both;

    width: 100%;
    padding-top: 25px;
  }

  .result-row .price {
    width: 45%;
  }

  .result-row .price strong {
    font-size: 2rem;
  }

  .result-row .airlines {
    width: 55%;
  }
}

@media (max-width: 500px) {
  #main-header {
    height: 65px;
  }

  #main-header #logo {
    height: 50px;
  }

  #main-header #logo-text {
    font-size: 3.5rem;
  }

  #search-window {
    padding: 25px;
  }

  .search-row-wrapper .dest-wrapper,
  .search-row-wrapper .departure-wrapper,
  .search-row-wrapper .passenger-wrapper {
    height: initial;
  }

  .dest-wrapper {
    position: relative;
  }

  .dest-wrapper #switch-dest {
    float: none;

    position: absolute;
    z-index: 99;
    top: 70px;
    right: 34px;

    width: 60px;
    height: 60px;

    background-size: 40px 40px;
  }

  .dest-wrapper #from-dest,
  .dest-wrapper #to-dest {
    float: none;

    top: initial;

    width: 100%;

    -webkit-transform: initial;

        -ms-transform: initial;

            transform: initial;
  }

  .result-row .airlines {
    border-right: none;
  }

  .dest-wrapper #to-dest  {
    margin-top: 20px;
  }

  .departure-wrapper .input-wrapper,
  .passenger-wrapper .input-wrapper  {
    z-index: 9;

    width: 100%;
  }

  .input-wrapper.first.departure,
  .input-wrapper.arrival,
  .passenger-wrapper .input-wrapper,
  .departure-wrapper .icon-calendar,
  .passenger-wrapper .icon-passenger {
    margin-left: 0px;
  }

  .departure-wrapper .icon-calendar,
  .passenger-wrapper .icon-passenger {
    width: 60px;
    height: 60px;
    margin-bottom: 30px;
  }

  .search-row-wrapper .dest-wrapper,
  .search-row-wrapper .departure-wrapper,
  .search-row-wrapper .passenger-wrapper {
    width: 100%;
  }

  #flight-type,
  #sp-opt {
    width: 100%;
  }

  #flight-type > label {
    white-space: nowrap;
  }
}
